%define	major		11
%define	libname		%mklibname raw1394_ %{major}
%define	develname	%mklibname raw1394 -d

Name:		libraw1394
Version:	2.1.2
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://www.kernel.org/pub/linux/libs/ieee1394/%{name}-%{version}.tar.xz
URL:		http://sourceforge.net/projects/libraw1394/
Summary:	FireWire interface
Requires(post): coreutils

%description
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

%package	utils
Group:		Communications/Serial
Summary:	Some small Firewire utilities
Obsoletes:	libraw1394_8-utils < 1.3.0-16

%description	utils
This package contains a few utilities to send and receive raw data over
Firewire (ieee1394).

%package -n	%{libname}
Group:		System/Libraries
Summary:	FireWire interface shared library
# technically not correct, but provides a way to get rid of the old and unused lib
Obsoletes:	%{_lib}raw1394_8 < 1.3.0-16

%description -n %{libname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

This package contains the shared library to run applications linked
with %{name}.

%package -n	%{develname}
Summary:	Development and include files for libraw1394
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}raw1394_8-devel < 1.3.0-16
Obsoletes:	%{_lib}raw1394-static-devel < 2.1.2-3

%description -n	%{develname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This archive contains the header-files for libraw1394 development.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files utils
%doc README AUTHORS
%{_bindir}/*
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libraw1394.so.%{major}{,.*}

%files -n %{develname}
%doc README NEWS AUTHORS
%{_includedir}/libraw1394
%{_libdir}/libraw1394.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.1.2-4.mga8
+ Revision: 1523083
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Feb 17 2019 wally <wally> 2.1.2-3.mga7
+ Revision: 1367968
- drop old and unused libraw1394_8 pkgs
- drop static devel pkg

* Sun Sep 23 2018 umeabot <umeabot> 2.1.2-2.mga7
+ Revision: 1299119
- Mageia 7 Mass Rebuild

* Mon Apr 11 2016 tv <tv> 2.1.2-1.mga6
+ Revision: 1000325
- new release

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.1.1-1.mga6
+ Revision: 917785
- 2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 746641
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-3.mga5
+ Revision: 681745
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.1.0-2.mga4
+ Revision: 528589
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 fwang <fwang> 2.1.0-1.mga4
+ Revision: 446147
- new version 2.1.0

* Sat Jan 12 2013 umeabot <umeabot> 2.0.8-3.mga3
+ Revision: 358067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 2.0.8-2.mga3
+ Revision: 308467
- update RPM group

* Wed Mar 07 2012 tmb <tmb> 2.0.8-1.mga2
+ Revision: 221199
- Remove UTF-8 whitespace (P0)
- Fix incorrect use of == instead of = (P1)
- clean spec
- update to 2.0.8
+ tv <tv>
- new release

* Thu Jan 13 2011 ahmad <ahmad> 2.0.6-2.mga1
+ Revision: 7799
- drop old/unneeded scriptlets
- imported package libraw1394


* Tue Nov 02 2010 Thomas Backlund <tmb@mandriva.org> 2.0.6-1mdv2011.0
+ Revision: 591909
- update to 2.0.6

* Fri Jan 15 2010 Emmanuel Andry <eandry@mandriva.org> 2.0.5-1mdv2010.1
+ Revision: 491783
- New version 2.0.5

* Sun Nov 15 2009 Funda Wang <fwang@mandriva.org> 2.0.4-1mdv2010.1
+ Revision: 466185
- new version 2.0.4

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0.2-2mdv2010.0
+ Revision: 425693
- rebuild

* Fri Feb 13 2009 Emmanuel Andry <eandry@mandriva.org> 2.0.2-1mdv2009.1
+ Revision: 340123
- New version 2.0.2

* Mon Jan 26 2009 Emmanuel Andry <eandry@mandriva.org> 2.0.1-1mdv2009.1
+ Revision: 333808
- New version 2.0.1

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.0.0-2mdv2009.1
+ Revision: 325307
- don't obsolete old devel packages

* Sun Dec 28 2008 Emmanuel Andry <eandry@mandriva.org> 2.0.0-1mdv2009.1
+ Revision: 320339
- New version
- New major

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1.3.0-2mdv2009.0
+ Revision: 217191
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Funda Wang <fwang@mandriva.org> 1.3.0-2mdv2008.1
+ Revision: 108815
- rebuild

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 1.3.0-1mdv2008.1
+ Revision: 102726
- New version 1.3.0

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.2.2-0.172.2mdv2008.0
+ Revision: 80742
- correct license to LGPLv2+

  + Thierry Vignaud <tv@mandriva.org>
    - kill ldconfig require as requested by pixel

* Wed Aug 01 2007 Adam Williamson <awilliamson@mandriva.org> 1.2.2-0.172.1mdv2008.0
+ Revision: 57360
- rebuild for 2008
- no need to package COPYING and INSTALL
- don't create /dev node manually (udev handles it)
- correct license to LGPLv2.1
- new devel policy
- drop patch0 (merged upstream)
- spec clean
- switch to a proper version scheme (was previously using svn, but undeclared)
- update to svn snapshot 172
- Import libraw1394



* Sat Jul 01 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.1-1mdv2007.0
- 1.2.1 final
- update url

* Wed Jan 11 2006 Austin Acton <austin@mandriva.org> 1.2.1-0.svn160.1mdk
- go to svn
- patch for freebob
- required for firewire audio devices

* Sat Nov 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-3mdk
- fix requires (#17422)

* Tue Sep 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-2mdk
- fix %%post

* Sat Apr 23 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-1mdk
- 1.2.0

* Mon Jan 31 2005 Austin Acton <austin@mandrake.org> 1.1.0-3mdk
- split binaries into utils package
- make multiple library packages cohabitable
- remove conflicts tag

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-2mdk
- Fix conflict with libraw1394_5

* Sat Jan 29 2005 Austin Acton <austin@mandrake.org> 1.1.0-1mdk
- 1.1.0
- configure 2.5

* Thu Jul 08 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.10.1-2mdk
- fix mklibnamification

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.1-1mdk
- 0.10.1
- really use %%mklibname
- drop P0 (fixed upstream)
- add new files
- cosmetics

* Thu Sep 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-4mdk
- mklibname

* Thu Jul 10 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-3mdk
- rebuild for new rpm

* Wed Jun 04 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.0-2mdk
- fix build with gcc-3.3 (Patch0)
- add missing file to devel package,
- fix unowned dir

* Wed Jul 17 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- mandrake adaption

* Mon Jun 04 2001 Harald Welte <laforge@gnumonks.org>
- redhat 7 compile...

* Mon Jun 04 2001 Harald Welte <laforge@conectiva.com>
- libraw1394=0.9.0-1cl
- updated to 0.9.0

* Thu Apr 05 2001 Harald Welte <laforge@conectiva.com>
- libraw1394-0.8.2-1cl
- initial conectiva RPM
- split devel package in devel / devel-static
- updated to 0.8.2

* Fri Jan 05 2001 Harald Welte <laforge@gnumonks.org>
- ported SPECfile to RedHat RPM
- libraw1394 0.8.1

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- clean spec

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- initial spec
